curl --request GET \
--url https://eu.phrase.com/idm/scim/Users/{userUid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/idm/scim/Users/{userUid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/idm/scim/Users/{userUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "<string>",
"externalId": "<string>",
"userName": "<string>",
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "jsmith@example.com",
"primary": true
}
],
"active": true,
"locale": "<string>",
"timezone": "<string>",
"roles": [
{
"type": "phrase__platform",
"value": "MEMBER"
}
],
"meta": {
"resourceType": "User",
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>"
}
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "<string>",
"scimType": "<string>",
"detail": "<string>"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "<string>",
"scimType": "<string>",
"detail": "<string>"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "<string>",
"scimType": "<string>",
"detail": "<string>"
}Get user
Returns a single user by their Phrase Platform identity UID.
Authorizations
SCIM access token issued via Phrase Platform organization settings. The Bearer token value must be configured in Phrase Platform SCIM section.
Path Parameters
Phrase Platform identity UID of the user
Response
User returned successfully
SCIM User resource (urn:ietf:params:scim:schemas:core:2.0:User)
SCIM schema URNs
[
"urn:ietf:params:scim:schemas:core:2.0:User"
]
Unique Phrase Platform identity UID, assigned by the service provider
Identifier assigned by the provisioning client (IdP). Used to correlate the Phrase identity with the IdP record.
Unique username within the Phrase Platform
User's name components
Show child attributes
Show child attributes
List of email addresses. The first entry marked primary: true is used as the user's primary email.
Show child attributes
Show child attributes
Whether the user account is enabled
User locale in IETF BCP 47 format (e.g. en-US)
User time zone in IANA Time Zone Database format (e.g. Europe/Berlin)
Roles to assign on create. Only processed when SCIM role management is enabled for the organization.
Show child attributes
Show child attributes
Resource metadata set by the service provider
Show child attributes
Show child attributes
Was this page helpful?